classification
Title: Outdated function attribute to disable address sanitizer
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, miss-islington, xiang.zhang
Priority: normal Keywords: patch

Created on 2017-05-14 14:40 by xiang.zhang, last changed 2019-12-27 03:10 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17702 merged BTaskaya, 2019-12-25 16:16
PR 17711 merged miss-islington, 2019-12-27 02:52
PR 17712 merged miss-islington, 2019-12-27 02:52
Messages (4)
msg293648 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-05-14 14:40
In obmalloc, __attribute__((no_address_safety_analysis)) is used to disable address sanitizer. But this attribute is now deprecated in both clang and GCC.

Related links:

https://clang.llvm.org/docs/AddressSanitizer.html#disabling-instrumentation-with-attribute-no-sanitize-address

https://gcc.gnu.org/onlinedocs/gcc-4.8.1/gcc/Function-Attributes.html
msg358897 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-12-27 02:51
New changeset c0052f3fe3d19820b2d4f76e383035439affe32c by Benjamin Peterson (Batuhan Ta┼čkaya) in branch 'master':
closes bpo-30364: Replace deprecated no_address_safety_analysis attribute. (GH-17702)
https://github.com/python/cpython/commit/c0052f3fe3d19820b2d4f76e383035439affe32c
msg358900 - (view) Author: miss-islington (miss-islington) Date: 2019-12-27 03:08
New changeset 5641b6d3115f1c2700d2f84216710d3778a23d02 by Miss Islington (bot) in branch '3.7':
closes bpo-30364: Replace deprecated no_address_safety_analysis attribute. (GH-17702)
https://github.com/python/cpython/commit/5641b6d3115f1c2700d2f84216710d3778a23d02
msg358901 - (view) Author: miss-islington (miss-islington) Date: 2019-12-27 03:10
New changeset 5dd1909680a5be76397b19bc235a8205b79787c7 by Miss Islington (bot) in branch '3.8':
closes bpo-30364: Replace deprecated no_address_safety_analysis attribute. (GH-17702)
https://github.com/python/cpython/commit/5dd1909680a5be76397b19bc235a8205b79787c7
History
Date User Action Args
2019-12-27 03:10:55miss-islingtonsetmessages: + msg358901
2019-12-27 03:08:34miss-islingtonsetnosy: + miss-islington
messages: + msg358900
2019-12-27 02:52:07miss-islingtonsetpull_requests: + pull_request17157
2019-12-27 02:52:01miss-islingtonsetpull_requests: + pull_request17156
2019-12-27 02:51:45benjamin.petersonsetstatus: open -> closed

nosy: + benjamin.peterson
messages: + msg358897

resolution: fixed
stage: patch review -> resolved
2019-12-25 16:16:33BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request17151
2017-05-14 14:40:54xiang.zhangcreate